// 提现审核
const withdrawalRoutes = [
  {
    path: "/op/withdrawal",
    redirect: "/op/withdrawal/examine"
  },
  {
    path: "/op/withdrawal/examine",
    name: "Examine",
    component: () =>
      import(/* webpackChunkName: "Withdrawal" */ "@/pages/Withdrawal/Examine")
  },
  //用户管理
  {
    path: "/op/withdrawal/user",
    name: "User",
    component: () =>
      import(
        /* webpackChunkName: "Withdrawal" */ "@/pages/Withdrawal/User/userList"
      )
  },
  //角色管理
  {
    path: "/op/withdrawal/roleAddRole",
    name: "AddRole",
    component: () =>
      import(
        /* webpackChunkName: "Withdrawal" */ "@/pages/Withdrawal/Role/add-role"
      ),
    meta: {
      requireAuth: true,
      keepAlive: true
    }
  },
  {
    path: "/op/withdrawal/roleManageRole",
    name: "withdrawalManageRole",
    component: () =>
      import(
        /* webpackChunkName: "Withdrawal" */ "@/pages/Withdrawal/Role/manage-role"
      ),
    meta: {
      requireAuth: true,
      keepAlive: true
    }
  },
  {
    path: "/op/withdrawal/roleRoleDetail",
    name: "withdrawalRoleDetail",
    component: () =>
      import(
        /* webpackChunkName: "Withdrawal" */ "@/pages/Withdrawal/Role/role-detail"
      )
  }
];

export default withdrawalRoutes;
