import axios from "@/utils/request";
import { defaultParams } from "./common";

const getParams = (p = {}) => {
  return { ...defaultParams, ...p };
};

// 获取提现审核列表
export async function getApplyList(params) {
  const res = await axios.get("/api/v1/get_withdrawal_apply_list", {
    params: getParams(params)
  });
  return res;
}
// 黑名单，冻结用户
export async function getBlackList(params) {
  const res = await axios.post(
    "/api/v1/get_withdrawal_black_list",
    getParams(params)
  );
  return res;
}
// 获取订单审核--通过，拒绝
export async function getWithdrawAudit(params) {
  const res = await axios.post("/api/v1/get_withdraw_audit", getParams(params));
  return res;
}
// 获取提现失败冻结
export async function getFreezingFund(params) {
  const res = await axios.post("/api/v1/get_freezing_fund", getParams(params));
  return res;
}
// 获取提现审核详情
export async function getApplyDetail(params) {
  const res = await axios.get("/api/v1/get_apply_detail", {
    params: getParams(params)
  });
  return res;
}
//权限列表
export async function getRolesForUser(user_email) {
  const res = await axios.post(
    "/api/v1/merchant/authority/get_role_list?appid=merchant-op-auditing",
    {
      user_email
    }
  );
  return res.permissions;
}
